nutch-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (NUTCH-1920) Upgrade Nutch to use Java 1.7
Date Sat, 17 Jan 2015 02:50:35 GMT

    [ https://issues.apache.org/jira/browse/NUTCH-1920?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14281171#comment-14281171
] 

Hudson commented on NUTCH-1920:
-------------------------------

SUCCESS: Integrated in Nutch-trunk #2937 (See [https://builds.apache.org/job/Nutch-trunk/2937/])
NUTCH-1920 Upgrade Nutch to use Java 1.7 (lewismc: http://svn.apache.org/viewvc/nutch/trunk/?view=rev&rev=1652556)
* /nutch/trunk/CHANGES.txt
* /nutch/trunk/default.properties


> Upgrade Nutch to use Java 1.7
> -----------------------------
>
>                 Key: NUTCH-1920
>                 URL: https://issues.apache.org/jira/browse/NUTCH-1920
>             Project: Nutch
>          Issue Type: Improvement
>          Components: build
>    Affects Versions: 2.3, 1.10
>            Reporter: Lewis John McGibbney
>            Assignee: Lewis John McGibbney
>             Fix For: 2.4, 1.10
>
>         Attachments: NUTCH-1920-trunk.patch
>
>
> In order to build the Nutch Javadoc securely, we rely upon no less than Java version
7u25 or greater. See NUTCH-1590.
> indexer-elastic also requires a JDK 1.7 in order compile.
> We should make the upgrade and state support for Java 1.7 based on the following announcement
from Oracle
> {code}
> End of Public Updates for Oracle JDK 7
> The April 2015 CPU release will be the last Oracle JDK 7 publicly available update. For
more information, and details on how to receive longer term support for Oracle JDK 7, please
see the Oracle Java SE Support Roadmap. 
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message